<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($deletedeposito)){
	
	$o_BalanceDiaNew = new BalanceDiaBean();
	$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
	$o_BalanceDiaNew->setIdSucursal($Idsucursal); 
	
	
	$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
	$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
	
	if($fechaBalanceAbierto != $fecha) exit("No se puede hacer esta operacion.");
	
			  
	$o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
	$o_ArArqueoDetalleDepositoFN->setIdclase($Idclase);
	$o_ArArqueoDetalleDepositoFN->setIdsucursal($Idsucursal);
	$o_ArArqueoDetalleDepositoFN->setIdmercado($Idmercado);
	$o_ArArqueoDetalleDepositoFN->setIdcolaborador($Idcolaborador);
	$o_ArArqueoDetalleDepositoFN->setFecha($fecha);
	$o_ArArqueoDetalleDepositoFN->setIdcliente($Idcliente);
	$o_ArArqueoDetalleDepositoFN->setIdprestamo($Idprestamo);
	$a_o_ArArqueoDetalleDepositoBN = $o_ArArqueoDetalleDepositoFN->selectByPK();
	
	$idPrestamo = $a_o_ArArqueoDetalleDepositoBN->getIdprestamo();
  	$idPago = $a_o_ArArqueoDetalleDepositoBN->getIdpagoreferencia();
	$o_PrestamoBean = new PrestamoBean();
  	$o_PrestamoBean->setIdPrestamo($idPrestamo);
  	
  	$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
  	$a_o_PrestamoDP = $o_PrestamoDP->select();
  	if(is_array($a_o_PrestamoDP)){
  		foreach ($a_o_PrestamoDP as $key => $o_PrestamoDP){
  			$MontoTotalPrestamo = $o_PrestamoDP->getMontoTotal();
  		}
  	}else{
  		exit("No se encuentar prestamo valido");
  	}
    
    $o_ArArqueoDetalleDepositoDP = new ArArqueoDetalleDepositoDP();
	$o_ArArqueoDetalleDepositoDP->setIdclase($a_o_ArArqueoDetalleDepositoBN->getIdclase());
	$o_ArArqueoDetalleDepositoDP->setIdsucursal($a_o_ArArqueoDetalleDepositoBN->getIdsucursal());
	$o_ArArqueoDetalleDepositoDP->setIdmercado($a_o_ArArqueoDetalleDepositoBN->getIdmercado());
	$o_ArArqueoDetalleDepositoDP->setIdcolaborador($a_o_ArArqueoDetalleDepositoBN->getIdcolaborador());
	$o_ArArqueoDetalleDepositoDP->setFecha($a_o_ArArqueoDetalleDepositoBN->getFecha());
	$o_ArArqueoDetalleDepositoDP->setIdcliente($a_o_ArArqueoDetalleDepositoBN->getIdcliente());
	$o_ArArqueoDetalleDepositoDP->setIdprestamo($a_o_ArArqueoDetalleDepositoBN->getIdprestamo());
	$o_ArArqueoDetalleDepositoDP->setSubtotal($a_o_ArArqueoDetalleDepositoBN->getSubtotal());
	$o_ArArqueoDetalleDepositoDP->setIdBanco($a_o_ArArqueoDetalleDepositoBN->getIdBanco());
	$o_ArArqueoDetalleDepositoDP->setIdCuenta($a_o_ArArqueoDetalleDepositoBN->getIdCuenta());
	$o_ArArqueoDetalleDepositoDP->setNumeroboucher($a_o_ArArqueoDetalleDepositoBN->getNumeroboucher());
	$o_ArArqueoDetalleDepositoDP->setNumerocuenta($a_o_ArArqueoDetalleDepositoBN->getNumerocuenta());
	$o_ArArqueoDetalleDepositoDP->setIdpagoreferencia($a_o_ArArqueoDetalleDepositoBN->getIdpagoreferencia());
	$o_ArArqueoDetalleDepositoDP->setBanco($a_o_ArArqueoDetalleDepositoBN->getBanco());
	$o_ArArqueoDetalleDepositoDP->setNombrecliente($a_o_ArArqueoDetalleDepositoBN->getNombrecliente());
	$o_ArArqueoDetalleDepositoDP->setFechadeposito($a_o_ArArqueoDetalleDepositoBN->getFechadeposito());
	$o_ArArqueoDetalleDepositoDP->setFecharegistro($a_o_ArArqueoDetalleDepositoBN->getFecharegistro());
	$o_ArArqueoDetalleDepositoDP->setUsuarioregistro($a_o_ArArqueoDetalleDepositoBN->getUsuarioregistro());
	$o_ArArqueoDetalleDepositoDP->savelog();
	
	
	$o_ArArqueoDetalleDepositoDP = new ArArqueoDetalleDepositoDP();
	$o_ArArqueoDetalleDepositoDP->setIdclase($Idclase);
	$o_ArArqueoDetalleDepositoDP->setIdsucursal($Idsucursal);
	$o_ArArqueoDetalleDepositoDP->setIdmercado($Idmercado);
	$o_ArArqueoDetalleDepositoDP->setIdcolaborador($Idcolaborador);
	$o_ArArqueoDetalleDepositoDP->setFecha($fecha);
	$o_ArArqueoDetalleDepositoDP->setIdcliente($Idcliente);
	$o_ArArqueoDetalleDepositoDP->setIdprestamo($Idprestamo);
	$o_ArArqueoDetalleDepositoDP->delete();
	
	$o_PagoBean = new PagoBean();
	$o_PagoBean->setIdPago($idPago);
	$o_PagoBean->setMontoPago("00.00");
	$o_PagoBean->setFechaModificacion(date('Y-m-d H:i:s'));
	$o_PagoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
	$o_PagoDP = new PagoDP($o_PagoBean);
	$bResult = $o_PagoDP->update();
	
	$o_PagoBean = new PagoBean();
	$o_PagoBean->setIdPrestamo($idPrestamo);
	$o_PagoDP = new PagoDP($o_PagoBean);
	$a_o_PagoBN = $o_PagoDP->select();
	if(is_array($a_o_PagoBN)){
		foreach ($a_o_PagoBN as $key => $o_PagoBN){
			$SumaMontoPago += $o_PagoBN->getMontoPago();
		}
	}
	
	$saldoActual = $MontoTotalPrestamo - $SumaMontoPago;
	
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($idPrestamo);
	$o_PrestamoBean->setSaldoPrestamo($saldoActual);
	$o_PrestamoBean->setEstado("P"); 
	$o_PrestamoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
	$o_PrestamoBean->setFechaModificacion(date('Y-m-d H:i:s'));
	$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
	$bResult = $o_PrestamoDP->update();
	
	//Ahora se consulta los detalles de´para actualizar el total
	$o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
	$o_ArArqueoDetalleDepositoFN->setIdclase($Idclase);
	$o_ArArqueoDetalleDepositoFN->setIdsucursal($Idsucursal);
	$o_ArArqueoDetalleDepositoFN->setIdmercado($Idmercado);
	$o_ArArqueoDetalleDepositoFN->setIdcolaborador($Idcolaborador);
	$o_ArArqueoDetalleDepositoFN->setFecha($fecha);
		$a_o_ArArqueoDetalleDepositoFN = $o_ArArqueoDetalleDepositoFN->select();
	if(is_array($a_o_ArArqueoDetalleDepositoFN)){
		foreach ($a_o_ArArqueoDetalleDepositoFN as $key => $o_ArArqueoDetalleDepositoFN){
			$nuevoMontoTotal += $o_ArArqueoDetalleDepositoFN->getSubtotal();
		}
	}else{
		$nuevoMontoTotal="00.00";
	}
		//Ahora actualiza el total de la cabecera
	$o_ArArqueoCabeceraDP = new ArArqueoCabeceraDP();
	$o_ArArqueoCabeceraDP->setIdclase($Idclase);
	$o_ArArqueoCabeceraDP->setIdsucursal($Idsucursal);
	$o_ArArqueoCabeceraDP->setIdmercado($Idmercado);
	$o_ArArqueoCabeceraDP->setIdcolaborador($Idcolaborador);
	$o_ArArqueoCabeceraDP->setFecha($fecha);
	$o_ArArqueoCabeceraDP->setTotal($nuevoMontoTotal);
	$o_ArArqueoCabeceraDP->update();
    
	$id_key = "Idclase=".$a_o_ArArqueoDetalleDepositoBN->getIdclase()."&Idsucursal=".$a_o_ArArqueoDetalleDepositoBN->getIdsucursal()."&Idmercado=".$a_o_ArArqueoDetalleDepositoBN->getIdmercado()."&Idcolaborador=".$a_o_ArArqueoDetalleDepositoBN->getIdcolaborador()."&fecha=".$a_o_ArArqueoDetalleDepositoBN->getFecha()."&Idcolaborador=".$a_o_ArArqueoDetalleDepositoBN->getIdcolaborador()."&Idcliente=".$a_o_ArArqueoDetalleDepositoBN->getIdcliente()."&Idprestamo=".$a_o_ArArqueoDetalleDepositoBN->getIdprestamo()."delete=1";
	
    if($bResult){
      ?>
      <script language="JavaScript">
      location.href='<?=buildUrl('arqueo/editDeposito',$id_key)?>';
      </script>
      <?
      
    }else{
       $url = buildUrl('doc/delete', "block=".$block."&error=1");
    }
   
}

if(isset($deleteproducto)){
	
	$o_BalanceDiaNew = new BalanceDiaBean();
	$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
	$o_BalanceDiaNew->setIdSucursal($Idsucursal); 
	
	
	$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
	$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
	
	if($fechaBalanceAbierto != $fecha) exit("No se puede hacer esta operacion.");
	
			  
	$o_ArArqueoDetalleProductoFN = new ArArqueoDetalleProductoFN();
	$o_ArArqueoDetalleProductoFN->setIdclase($Idclase);
	$o_ArArqueoDetalleProductoFN->setIdsucursal($Idsucursal);
	$o_ArArqueoDetalleProductoFN->setIdmercado($Idmercado);
	$o_ArArqueoDetalleProductoFN->setIdcolaborador($Idcolaborador);
	$o_ArArqueoDetalleProductoFN->setFecha($fecha);
	$o_ArArqueoDetalleProductoFN->setIdcliente($Idcliente);
	$o_ArArqueoDetalleProductoFN->setIdprestamo($Idprestamo);
	$o_ArArqueoDetalleProductoFN->setCorrelativo($correlativo);
	$a_o_ArArqueoDetalleProductoBN = $o_ArArqueoDetalleProductoFN->selectByPK();
	
	$idPrestamo = $a_o_ArArqueoDetalleProductoBN->getIdprestamo();
  	$idPago = $a_o_ArArqueoDetalleProductoBN->getIdpagoreferencia();
	$o_PrestamoBean = new PrestamoBean();
  	$o_PrestamoBean->setIdPrestamo($idPrestamo);
  	
  	$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
  	$a_o_PrestamoDP = $o_PrestamoDP->select();
  	if(is_array($a_o_PrestamoDP)){
  		foreach ($a_o_PrestamoDP as $key => $o_PrestamoDP){
  			$MontoTotalPrestamo = $o_PrestamoDP->getMontoTotal();
  		}
  	}else{
  		exit("No se encuentar prestamo valido");
  	}
    
    $o_ArArqueoDetalleProductoDP = new ArArqueoDetalleProductoDP();
	$o_ArArqueoDetalleProductoDP->setIdclase($a_o_ArArqueoDetalleProductoBN->getIdclase());
	$o_ArArqueoDetalleProductoDP->setIdsucursal($a_o_ArArqueoDetalleProductoBN->getIdsucursal());
	$o_ArArqueoDetalleProductoDP->setIdmercado($a_o_ArArqueoDetalleProductoBN->getIdmercado());
	$o_ArArqueoDetalleProductoDP->setIdcolaborador($a_o_ArArqueoDetalleProductoBN->getIdcolaborador());
	$o_ArArqueoDetalleProductoDP->setFecha($a_o_ArArqueoDetalleProductoBN->getFecha());
	$o_ArArqueoDetalleProductoDP->setIdcliente($a_o_ArArqueoDetalleProductoBN->getIdcliente());
	$o_ArArqueoDetalleProductoDP->setIdprestamo($a_o_ArArqueoDetalleProductoBN->getIdprestamo());
	$o_ArArqueoDetalleProductoDP->setIdpagoreferencia($a_o_ArArqueoDetalleProductoBN->getIdpagoreferencia());
	$o_ArArqueoDetalleProductoDP->setCorrelativo($a_o_ArArqueoDetalleProductoBN->getCorrelativo());
	$o_ArArqueoDetalleProductoDP->setSubtotal($a_o_ArArqueoDetalleProductoBN->getSubtotal());
	$o_ArArqueoDetalleProductoDP->setCantidad($a_o_ArArqueoDetalleProductoBN->getCantidad());
	$o_ArArqueoDetalleProductoDP->setPreciounitario($a_o_ArArqueoDetalleProductoBN->getPreciounitario());
	$o_ArArqueoDetalleProductoDP->setIdtipoproducto($a_o_ArArqueoDetalleProductoBN->getIdtipoproducto);
	$o_ArArqueoDetalleProductoDP->setDecripcionproducto($a_o_ArArqueoDetalleProductoBN->getDecripcionproducto());
	$o_ArArqueoDetalleProductoDP->setDescripciontipoproducto($a_o_ArArqueoDetalleProductoBN->getDescripciontipoproducto());
	$o_ArArqueoDetalleProductoDP->setNombrecliente($a_o_ArArqueoDetalleProductoBN->getNombrecliente());
	$o_ArArqueoDetalleProductoDP->setFecharegistro($a_o_ArArqueoDetalleProductoBN->getFecharegistro());
	$o_ArArqueoDetalleProductoDP->setUsuarioregistro($a_o_ArArqueoDetalleProductoBN->getUsuarioregistro());
	$o_ArArqueoDetalleProductoDP->savelog();
	
	
	$o_ArArqueoDetalleProductoDP = new ArArqueoDetalleProductoDP();
	$o_ArArqueoDetalleProductoDP->setIdclase($Idclase);
	$o_ArArqueoDetalleProductoDP->setIdsucursal($Idsucursal);
	$o_ArArqueoDetalleProductoDP->setIdmercado($Idmercado);
	$o_ArArqueoDetalleProductoDP->setIdcolaborador($Idcolaborador);
	$o_ArArqueoDetalleProductoDP->setFecha($fecha);
	$o_ArArqueoDetalleProductoDP->setIdcliente($Idcliente);
	$o_ArArqueoDetalleProductoDP->setIdprestamo($Idprestamo);
	$o_ArArqueoDetalleProductoDP->setCorrelativo($correlativo);
	$o_ArArqueoDetalleProductoDP->delete();
	
	$o_PagoBean = new PagoBean();
	$o_PagoBean->setIdPago($idPago);
	$o_PagoBean->setMontoPago("00.00");
	$o_PagoBean->setFechaModificacion(date('Y-m-d H:i:s'));
	$o_PagoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
	$o_PagoDP = new PagoDP($o_PagoBean);
	$bResult = $o_PagoDP->update();
	
	$o_PagoBean = new PagoBean();
	$o_PagoBean->setIdPrestamo($idPrestamo);
	$o_PagoDP = new PagoDP($o_PagoBean);
	$a_o_PagoBN = $o_PagoDP->select();
	if(is_array($a_o_PagoBN)){
		foreach ($a_o_PagoBN as $key => $o_PagoBN){
			$SumaMontoPago += $o_PagoBN->getMontoPago();
		}
	}
	
	$saldoActual = $MontoTotalPrestamo - $SumaMontoPago;
	
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($idPrestamo);
	$o_PrestamoBean->setSaldoPrestamo($saldoActual);
	$o_PrestamoBean->setEstado("P"); 
	$o_PrestamoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
	$o_PrestamoBean->setFechaModificacion(date('Y-m-d H:i:s'));
	$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
	$bResult = $o_PrestamoDP->update();
	
	//Ahora se consulta los detalles de´para actualizar el total
	$o_ArArqueoDetalleProductoFN = new ArArqueoDetalleProductoFN();
	$o_ArArqueoDetalleProductoFN->setIdclase($Idclase);
	$o_ArArqueoDetalleProductoFN->setIdsucursal($Idsucursal);
	$o_ArArqueoDetalleProductoFN->setIdmercado($Idmercado);
	$o_ArArqueoDetalleProductoFN->setIdcolaborador($Idcolaborador);
	$o_ArArqueoDetalleProductoFN->setFecha($fecha);
	$a_o_ArArqueoDetalleProductoFN = $o_ArArqueoDetalleProductoFN->select();
	if(is_array($a_o_ArArqueoDetalleProductoFN)){
		foreach ($a_o_ArArqueoDetalleProductoFN as $key => $o_ArArqueoDetalleProductoFN){
			$nuevoMontoTotal += $o_ArArqueoDetalleProductoFN->getSubtotal();
		}
	}else{
		$nuevoMontoTotal="00.00";
	}
		//Ahora actualiza el total de la cabecera
	$o_ArArqueoCabeceraDP = new ArArqueoCabeceraDP();
	$o_ArArqueoCabeceraDP->setIdclase($Idclase);
	$o_ArArqueoCabeceraDP->setIdsucursal($Idsucursal);
	$o_ArArqueoCabeceraDP->setIdmercado($Idmercado);
	$o_ArArqueoCabeceraDP->setIdcolaborador($Idcolaborador);
	$o_ArArqueoCabeceraDP->setFecha($fecha);
	$o_ArArqueoCabeceraDP->setTotal($nuevoMontoTotal);
	$o_ArArqueoCabeceraDP->update();
    
	$id_key = "Idclase=".$a_o_ArArqueoDetalleProductoBN->getIdclase()."&Idsucursal=".$a_o_ArArqueoDetalleProductoBN->getIdsucursal()."&Idmercado=".$a_o_ArArqueoDetalleProductoBN->getIdmercado()."&Idcolaborador=".$a_o_ArArqueoDetalleProductoBN->getIdcolaborador()."&fecha=".$a_o_ArArqueoDetalleProductoBN->getFecha()."&Idcolaborador=".$a_o_ArArqueoDetalleProductoBN->getIdcolaborador()."&Idcliente=".$a_o_ArArqueoDetalleProductoBN->getIdcliente()."&Idprestamo=".$a_o_ArArqueoDetalleProductoBN->getIdprestamo()."delete=1";
	
    if($bResult){
      ?>
      <script language="JavaScript">
      location.href='<?=buildUrl('arqueo/editProducto',$id_key)?>';
      </script>
      <?
      
    }else{
       $url = buildUrl('doc/delete', "block=".$block."&error=1");
    }
   
}